Skip to content

List notification history recipient filter options

GET
/api/notifications/history/recipients
curl --request GET \
--url https://api.getvespy.com/api/notifications/history/recipients \
--header 'Authorization: Bearer <token>'
search
string
>= 1 characters <= 100 characters
limit
integer
>= 1 <= 100

Default Response

Media typeapplication/json
object
recipients
required
Array<object>
object
email
required
string format: email
nullable
fullName
required
string
nullable >= 1 characters <= 160 characters
recipientId
required
string format: uuid
recipientType
required
string
Allowed values: user tenant
role
required
string
nullable
Allowed values: admin manager staff tenant owner vendor
tenantId
required
string format: uuid
nullable
userId
required
string format: uuid
nullable
Example
{
"recipients": [
{
"recipientType": "user",
"role": "admin"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}